package ru.yandex.autodoc.common.doc.abstracts;

import ru.yandex.autodoc.common.doc.view.Markup;

import java.util.Map;

/**
 * Содержит полное описание ручки - то, что она про себя знает, опциональное описание, имя ручки и deprecated-флаг
 *
 * @author avhaliullin
 */
public interface MethodDocumentation extends ServantletWithDocumentation, ServantletOptionalDoc {
    public String getName();

    public boolean isDeprecated();

    public Map<String, Markup> extraInfoBlocks();
}
